Subject: [pm-dir] FW: Review of xrblock rtcp xr synchronization Version 5

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sun, 19 Jan 2014 21:40:49 -0500

Hi Shida,

Vinayak already reviewed version 5 of the draft
on which you requested a review (last May, see below).

AFAICT, there was no response from the authors.

Al
pm-dir admin

From: [email-masked] [mailto:[email-masked]] On Behalf Of Vinayak Hegde
Sent: Saturday, May 25, 2013 5:50 PM
To: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [pm-dir] Review of xrblock rtcp xr synchronization Version 5

Hi,

Used the wrong alias in the initial mail. Please reply to this mail as I have fixedc the mail address.

-- Vinayak
On Sun, May 26, 2013 at 3:15 AM, Vinayak Hegde <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

I reveiewd the  xrblock rtcp xr synchronization Version 5 draft at

The draft does specify and fulfill all the requirements of RFC 6390

Comments are below:

Section 3.2
Initial Synchronization Delay: 32 bits

The selection of units in 1/65536 seconds seems arbitrary (inspite of the fact that it could make bit arithmetic easier). I would suggest to use may be denote each bit as 1/10000 or 1/100000 (too granualr ?) units. This could be much more useful for interaction with humans such as in reading debug output (which is likely since this is a synchronization delay).

Section 4.2
For the offset constant <RFSO> it is not clear what the 8-bit is. Either you can note it here or reference it.

-- Vinayak

Subject: Request for an RFC6390 review of draft-ietf-xrblock-rtcp-xr-synchronization-07
From: Shida Schubert <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 19 Jan 2014 16:13:30 -0500

Dear PMDIR,

As a co-chair of XRBLOCK WG, I would like to request an RFC6390
review of  http://tools.ietf.org/id/draft-ietf-xrblock-rtcp-xr-synchronization-07.txt

 This document has already completed the WGLC a while ago, and I forgot
to send the review request until I sat down to write up the proto-writeup.

Many Thanks & Regards
 Shida Schubert

---

From: Shida Schubert <[email-masked]>
Date: Sun, 19 Jan 2014 19:02:14 -0800

Al;

 Happy New Year and I apologize for redundant e-mail. 

 I found the e-mail.. I couldn't find my initial e-mail of me sending out the request. 

 Anyway, Qin did reply and the reply is below in [Qin], his suggested changes are 
reflected in 07. Unless there are any other issues, I will go ahead and send the 
proto-writeup. 

 Many Thanks!! 
  Shida

Comments are below:

Section 3.2

[Qin]: The choice of 1/65536 of a second is not arbitrary, it's based on the properties of the NTP format time stamp, and to match the rest of the RTP protocol. This is the reason why the draft was switched to use 1/65536 of a second. Using the other units is appropriate for this report block.

Section 4.2 
 
[Qin]: Okay, we can add a sentence to say:
“
      [Note to RFC Editor: please replace RFSO with the IANA provided
      RTCP XR block type for this block.]
”

-- Vinayak

On Jan 19, 2014, at 6:40 PM, MORTON, ALFRED C (AL) <[email-masked]> wrote:

> On Sun, May 26, 2013 at 3:15 AM, Vinayak Hegde <[email-masked]> wrote:
> Hi,
> 
> _______________________________________________
> pm-dir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pm-dir
> 
> Date: January 19, 2014 at 1:13:30 PM PST